class jbosseap {

# The below code will install Java version 1.6
  class { 'java':
  distribution => 'jdk',
  package => 'java-1.6.0-openjdk-devel',
 }


# The below block of code downloads jboss EAP 6.1.0 from the source location
  wget::fetch { 'jboss-eap-6.1.0.ga.zip':
  source      => 'https://transfer.sh/UX5om/jboss-eap-6.1.0.ga.zip',
  destination => '/opt/jboss-eap-6.1.0.ga.zip',
  timeout     => 0,
  verbose     => false,
}

#  The below block of code extracts the jboss EAP 6.1.0 Archive file.
    archive::extract {"jboss-eap-6.1.0.ga":
    #url => '/tmp/jboss-eap-6.1.0.GA.zip',
    ensure => present,
    src_target => '/opt/',
    target => '/opt/',
    extension => 'zip',
    require => wget::fetch["jboss-eap-6.1.0.ga.zip"],
}
  
  file {'/etc/profile.d/install_jbosseap.sh':
  content => 'export EAP_HOME=/opt/jboss-eap-6.1',
}

# The below code executes the jboss EAP 6.1.0 server in standalone mode
    service { 'jbosseap':	
    ensure  => 'running',
    require => [Archive::Extract["jboss-eap-6.1.0.ga"],PACKAGE["java"]],
    start => '/opt/jboss-eap-6.1/bin/standalone.sh -bmanagement 0.0.0.0 &',
  }
}
